part of 'user_path_bloc.dart';

@immutable
abstract class UserPathEvent {}

final class UserPathLoginDataChanged extends UserPathEvent {
  UserPathLoginDataChanged(this.newSettings);

  final SettingsState newSettings;
}

final class UserPathTimeChanged extends UserPathEvent {
  UserPathTimeChanged({this.from, this.to});

  final DateTime? from;

  final DateTime? to;
}

final class UserPathLiveSubscriptionUpdate extends UserPathEvent {
  UserPathLiveSubscriptionUpdate(this.point);

  final Point point;
}

final class UserPathFullUpdate extends UserPathEvent {}
